<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>Bootstrap Flex</title>
  </head>
  <body>
    <h1 class="text-center">Bootstrap Flex</h1>
    <h5 class="text-center"> Bootstrap > Utilities > Flex</h5>
    <p class="text-center">Use the d-flex class to create a flex container and transform direct children into flex items</p>

<!-- 
    flex direction
    flex-row
    flex-column
    flex-row-reverse
    flex-column-reverse

 -->
<!-- 
 justify
 justify-content-start
 justify-content-end
 justify-content-center
 justify-content-around
 justify-content-between
 justify-content-evenly
 -->
<!-- 
align items
align-items-start
align-items-end
align-items-center
align-items-stertch
align-items-baseline
-->
<!--  
flex-wrap
flex-nowrap
flex-wrap
flex-wrap-reverse
-->
<!--
align content
align-content-start
align-content-end
align-content-center
align-content-around
align-content-between
align-content-stretch
-->

    <div style="height: 300px;" class="bg-secondary p-3 d-flex justify-content-center  flex-wrap align-content-stretch">
    	<div class="bg-success p-3">Flex Item A</div>
    	<div class="bg-warning p-3">Flex Item B</div>
    	<div class="bg-danger p-3">Flex Item C</div>
    	<div class="bg-success p-3">Flex Item D</div>
    	<div class="bg-success p-3">Flex Item E</div>
    	<div class="bg-warning p-3">Flex Item F</div>
    	<div class="bg-danger p-3">Flex Item G</div>
    	<div class="bg-danger p-3">Flex Item H</div>
    	<div class="bg-danger p-3">Flex Item I</div>
    	<div class="bg-danger p-3">Flex Item J</div>
    	<div class="bg-danger p-3">Flex Item K</div>
    	<div class="bg-danger p-3">Flex Item L</div>
    </div>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

  </body>
</html>